package cn.superdesk.uniorder.dubbo.provider.invoice.customer.invoiced;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogParam;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedOperationLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced.DubboInvoiceInvoicedOperationLogService;
import cn.superdesk.uniorder.service.invoice.customer.invoiced.InvoiceInvoicedOperationLogService;
import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description: 应收账款-操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboInvoiceInvoicedOperationLogServiceImpl implements DubboInvoiceInvoicedOperationLogService {

	@Autowired
	private InvoiceInvoicedOperationLogService invoiceInvoicedOperationLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	@Override
	public void addObj(InvoiceInvoicedOperationLogParam param) {

		InvoiceInvoicedOperationLog invoiceInvoicedOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedOperationLog.class);
		invoiceInvoicedOperationLogService.insertSelective(invoiceInvoicedOperationLog);

	}

	@Override
	public void updateObj(InvoiceInvoicedOperationLogParam param) {

		InvoiceInvoicedOperationLog invoiceInvoicedOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedOperationLog.class);
		invoiceInvoicedOperationLogService.updateByPrimaryKeySelective(invoiceInvoicedOperationLog);
	}

	@Override
	public void deleteObj(Long id) {
		invoiceInvoicedOperationLogService.deleteObj(id);
	}

	@Override
	public InvoiceInvoicedOperationLog findById(Long id) {
		return invoiceInvoicedOperationLogService.findById(id);
	}

	@Override
	public PageInfo<InvoiceInvoicedOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
		return invoiceInvoicedOperationLogService.findByPaging(conditions, pageNun, pageSize);
	}

	@Override
	public List<InvoiceInvoicedOperationLog> findAll(Map<String, Object> queryMap) {

		return invoiceInvoicedOperationLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	@Override
	public void addInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param) {

		InvoiceInvoicedOperationLog invoiceInvoicedOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedOperationLog.class);
		invoiceInvoicedOperationLogService.addInvoiceInvoicedOperationLog(invoiceInvoicedOperationLog);
	}

	@Override
	public void updateInvoiceInvoicedOperationLog(InvoiceInvoicedOperationLogParam param) {

		InvoiceInvoicedOperationLog invoiceInvoicedOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedOperationLog.class);
		invoiceInvoicedOperationLogService.updateInvoiceInvoicedOperationLog(invoiceInvoicedOperationLog);
	}

	@Override
	public void deleteInvoiceInvoicedOperationLog(Long id) {
		invoiceInvoicedOperationLogService.deleteInvoiceInvoicedOperationLog(id);
	}

	@Override
	public InvoiceInvoicedOperationLog findInvoiceInvoicedOperationLogById(Long id) {
		return invoiceInvoicedOperationLogService.findInvoiceInvoicedOperationLogById(id);
	}

	@Override
	public R<List<InvoiceInvoicedOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
		return invoiceInvoicedOperationLogService.pageQuery(conditions, pageNun, pageSize);

	}
	@Override
	public R<List<InvoiceInvoicedOperationLog>> pageQueryGenericParam(InvoiceInvoicedOperationLogQueryCriteria queryCriteria){
		return invoiceInvoicedOperationLogService.pageQueryGenericParam(queryCriteria);
	}
}
